/*
    JustIce, the class file verifier for use with BCEL was written
    in 2001 by Enver Haase; (c) 2001 Enver Haase.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package de.fub.bytecode.verifier;

import javax.swing.UIManager;
import java.awt.*;
import de.fub.bytecode.verifier.*;
import de.fub.bytecode.generic.*;


/**
 * A graphical user interface application demonstrating JustIce.
 *
 * @version $Id: GraphicalVerifier.java,v 1.2 2001/09/09 16:12:05 ehaase Exp $
 * @author Enver Haase
 */
public class GraphicalVerifier {
  boolean packFrame = false;

  /** Constructor. */
  public GraphicalVerifier() {
    VerifierAppFrame frame = new VerifierAppFrame();
    //Frames berprfen, die voreingestellte Gre haben
    //Frames packen, die nutzbare bevorzugte Greninformationen enthalten, z.B. aus ihrem Layout
    if (packFrame) {
      frame.pack();
    }
    else {
      frame.validate();
    }
    //Das Fenster zentrieren
    Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
    Dimension frameSize = frame.getSize();
    if (frameSize.height > screenSize.height) {
      frameSize.height = screenSize.height;
    }
    if (frameSize.width > screenSize.width) {
      frameSize.width = screenSize.width;
    }
    frame.setLocation((screenSize.width - frameSize.width) / 2, (screenSize.height - frameSize.height) / 2);
    frame.setVisible(true);

    frame.classNamesJList.setModel(new VerifierFactoryListModel());
    VerifierFactory.getVerifier(Type.OBJECT.getClassName()); // Fill list with java.lang.Object
    frame.classNamesJList.setSelectedIndex(0); // default, will verify java.lang.Object
  }
  /** Main method. */
  public static void main(String[] args) {
    try {
      UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    new GraphicalVerifier();
  }
}
