/*
    JustIce, the class file verifier for use with BCEL was written
    in 2001 by Enver Haase; (c) 2001 Enver Haase.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package de.fub.bytecode.verifier;
import de.fub.bytecode.verifier.*;
import javax.swing.event.*;
/**
 * This class implements an adapter; it implements both a Swing ListModel and
 * a VerifierFactoryObserver.
 *
 * @version $Id: VerifierFactoryListModel.java,v 1.1 2001/09/09 15:40:11 ehaase Exp $
 * @author Enver Haase
 */

public class VerifierFactoryListModel implements de.fub.bytecode.verifier.VerifierFactoryObserver, javax.swing.ListModel{

  private java.util.ArrayList listeners = new java.util.ArrayList();
  private java.util.TreeSet cache = new java.util.TreeSet();

  public VerifierFactoryListModel() {
    VerifierFactory.addObserver(this);
    this.notify(null); // fill cache.
  }

  public void notify(String s){
    int size = listeners.size();

    Verifier[] verifiers = VerifierFactory.getVerifiers();
    int num_of_verifiers = verifiers.length;
    cache.clear();
    for (int i=0; i<num_of_verifiers; i++) {
      cache.add(verifiers[i].getClassName());
    }

    for (int i=0; i<size; i++){
      ListDataEvent e = new ListDataEvent(this, ListDataEvent.CONTENTS_CHANGED, 0, num_of_verifiers-1);
      ((javax.swing.event.ListDataListener) (listeners.get(i))).contentsChanged(e);
    }
  }
  public void addListDataListener(javax.swing.event.ListDataListener l){
    listeners.add(l);
  }
  public void removeListDataListener(javax.swing.event.ListDataListener l){
    listeners.remove(l);
  }
  public int getSize(){
    return cache.size();
  }
  public Object getElementAt(int index){
    return (cache.toArray())[index];
  }
}
