/*
    JustIce, the class file verifier for use with BCEL was written
    in 2001 by Enver Haase; (c) 2001 Enver Haase.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package de.fub.bytecode.verifier;

/**
 * VerifierFactoryObserver instances are notified when new Verifier
 * instances are created.
 *
 * @version $Id: VerifierFactoryObserver.java,v 1.7 2001/08/30 08:45:41 ehaase Exp $
 * @author <A HREF="http://www.inf.fu-berlin.de/~ehaase"/>Enver Haase</A>
 *
 * @see VerifierFactory#getVerifier(String)
 * @see VerifierFactory#getVerifiers()
 * @see VerifierFactory#addObserver(VerifierFactoryObserver)
 * @see VerifierFactory#removeObserver(VerifierFactoryObserver)
 */
public interface VerifierFactoryObserver{
	/**
	 * VerifierFactoryObserver instances are notified invoking this method.
	 * The String argument is the fully qualified class name a new Verifier
	 * created by the VerifierFactory operates on.
	 */
	public void notify(String s);
}
