/*
    JustIce, the class file verifier for use with BCEL was written
    in 2001 by Enver Haase; (c) 2001 Enver Haase.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package de.fub.bytecode.verifier.exc;
/**
 * Instances of this class are thrown by BCEL's class file verifier "JustIce" when
 * a class file to verify does not pass the verification pass 3 because of a violation
 * of a constraint that is usually only verified at run-time (pass 4).
 * The Java Virtual Machine Specification, 2nd edition, states that certain constraints
 * are usually verified at run-time for performance reasons (the verification of those
 * constraints requires loading in and recursively verifying referenced classes) that
 * conceptually belong to pass 3; to be precise, that conceptually belong to the
 * data flow analysis of pass 3 (called pass 3b in JustIce).
 * These are the checks necessary for resolution: Compare pages 142-143 ("4.9.1 The
 * Verification Process") and pages 50-51 ("2.17.3 Linking: Verification, Preparation,
 * and Resolution") of the above mentioned book.
 * <B>TODO: At this time, this class is not used in JustIce.</B>
 *
 * @version $Id: LinkingConstraintException.java,v 1.13 2001/08/30 08:45:42 ehaase Exp $
 * @author <A HREF="http://www.inf.fu-berlin.de/~ehaase"/>Enver Haase</A>
 */
public class LinkingConstraintException extends StructuralCodeConstraintException{
}
