/*
    JustIce, the class file verifier for use with BCEL was written
    in 2001 by Enver Haase; (c) 2001 Enver Haase.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
package de.fub.bytecode.verifier.structurals;

import de.fub.bytecode.generic.*;

/**
 * This class represents an exception handler; that is, an ObjectType
 * representing a subclass of java.lang.Throwable and the instruction
 * the handler starts off (represented by an InstructionContext).
 * 
 * @version $Id: ExceptionHandler.java,v 1.6 2001/09/03 08:15:12 ehaase Exp $
 * @author <A HREF="http://www.inf.fu-berlin.de/~ehaase"/>Enver Haase</A>
 */
class ExceptionHandler{
	/** The type of the exception to catch. NULL means ANY. */
	private ObjectType catchtype;
	
	/** The InstructionHandle where the handling begins. */
	private InstructionHandle handlerpc;

	/** Leave instance creation to JustIce. */
	ExceptionHandler(ObjectType catch_type, InstructionHandle handler_pc){
		catchtype = catch_type;
		handlerpc = handler_pc;
	}

	/**
	 * Returns the type of the exception that's handled. <B>'null' means 'ANY'.</B>
	 */
	ObjectType getExceptionType(){
		return catchtype;
	}

	/**
	 * Returns the InstructionHandle where the handler starts off.
	 */
	InstructionHandle getHandlerStart(){
		return handlerpc;
	}
}
